package com.eactive.eai.rms.onl.manage.rule.layout;

import com.eactive.eai.rms.common.datasource.DataSourceContextHolder;
import com.eactive.eai.rms.onl.vo.AbstractPagingSupportVo;
import com.eactive.eai.rms.onl.vo.PersistentVo;

/**
 * The Class LayoutVo.
 * <ul>
 * <li>1. Function :</li>
 * <li>2. Summary :</li>
 * <li>3. Notification :</li>
 * </ul>
 * 
 */
public class LayoutVo extends AbstractPagingSupportVo implements
        PersistentVo {
	String chk = "F";
	String loutName;
	String loutPtrnName = "";
	String loutDesc = "";
	String loutItemName = "";
	int loutItemIDName;
	int parntLoutItemIDName;
	String loutItemDesc = "";
	int loutItemNodePtrnIDName;
	int loutItemPtrnIDName;
	String loutItemPathName = "";
	int loutItemLenCnt;
	String loutItemRefInfo = "";
	String loutItemRefInfo2 = "";
	int loutItemSerno;
	String loutItemOccurPtrnDstcd = "";
	int loutItemMaxOccurNoitm;
	int loutItemMinOccurNoitm;
	String loutItemBascVal = "";
	String loutItemMskYn = "";
    int loutItemMaskLength = 0;
	String loutPtrnDesc;
	boolean isUpload = false;
	int loutItemDepth;
    String lastAmndHMS = "";
    String uapplName = "";
    String sysIntfacName = "";
    int lyoutDptCnt = 0;
    int decptLenCnt = 0;
    String eaiSvcName;
    String eaiSvcDesc;
    String cnvsnName;
    String cnvsnDesc;
    String sourcRsultDstcd; 
    String uploadResult = "X";
    String uploadMessage = "";
    String eaiBzwkDstcd = "";
    String bzwkDsticName = "" ;
    String sortColumn;
    int rowNo ;
    int saveType = 0;
    String lyoutItemRefPtrnIDName = "";
    
    String searchBizCode = "" ;
    
    String createBy = "";
    String updateBy = "";
    
    
    public String getCreateBy() {
    	return createBy;
    }

    public String getUpdateBy() {
    	return updateBy;
    }
    
    public void setCreateBy(String createBy) {
    	this.createBy = createBy;
    }
    
    public void setUpdateBy(String updateBy) {
    	this.updateBy = updateBy;
    }
    

	/**
     * @return the searchBizCode
     */
    public String getSearchBizCode() {
        return searchBizCode;
    }

    /**
     * @param searchBizCode the searchBizCode to set
     */
    public void setSearchBizCode(String searchBizCode) {
        this.searchBizCode = searchBizCode;
    }

    public String getLyoutItemRefPtrnIDName() {
		return lyoutItemRefPtrnIDName;
	}

	public void setLyoutItemRefPtrnIDName(String lyoutItemRefPtrnIDName) {
		this.lyoutItemRefPtrnIDName = lyoutItemRefPtrnIDName;
	}

	public int getSaveType() {
		return saveType;
	}

	public void setSaveType(int saveType) {
		this.saveType = saveType;
	}

	public String getUploadMessage() {
		return uploadMessage;
	}

	public void setUploadMessage(String uploadMessage) {
		this.uploadMessage = uploadMessage;
	}

	public int getRowNo() {
		return rowNo;
	}

	public void setRowNo(int rowNo) {
		this.rowNo = rowNo;
	}

	public String getSortColumn() {
		return sortColumn;
	}

	public void setSortColumn(String sortColumn) {
		this.sortColumn = sortColumn;
	}

	public String getEaiBzwkDstcd() {
		return eaiBzwkDstcd;
	}

	public void setEaiBzwkDstcd(String eaiBzwkDstcd) {
		this.eaiBzwkDstcd = eaiBzwkDstcd;
	}
	
	

	/**
     * @return the bzwkDsticName
     */
    public String getBzwkDsticName() {
        return bzwkDsticName;
    }

    /**
     * @param bzwkDsticName the bzwkDsticName to set
     */
    public void setBzwkDsticName(String bzwkDsticName) {
        if( bzwkDsticName != null )
            this.bzwkDsticName = bzwkDsticName;
    }

    public String getUploadResult() {
		return uploadResult;
	}

	public void setUploadResult(String uploadResult) {
		this.uploadResult = uploadResult;
	}

	public String getEaiSvcName() {
		return eaiSvcName;
	}

	public void setEaiSvcName(String eaiSvcName) {
		this.eaiSvcName = eaiSvcName;
	}

	public String getEaiSvcDesc() {
		return eaiSvcDesc;
	}

	public void setEaiSvcDesc(String eaiSvcDesc) {
		this.eaiSvcDesc = eaiSvcDesc;
	}

	public String getCnvsnName() {
		return cnvsnName;
	}

	public void setCnvsnName(String cnvsnName) {
		this.cnvsnName = cnvsnName;
	}

	public String getCnvsnDesc() {
		return cnvsnDesc;
	}

	public void setCnvsnDesc(String cnvsnDesc) {
		this.cnvsnDesc = cnvsnDesc;
	}

	public String getSourcRsultDstcd() {
		return sourcRsultDstcd;
	}

	public void setSourcRsultDstcd(String sourcRsultDstcd) {
		this.sourcRsultDstcd = sourcRsultDstcd;
	}

	public int getLyoutDptCnt() {
		return lyoutDptCnt;
	}

	public void setLyoutDptCnt(int lyoutDptCnt) {
		this.lyoutDptCnt = lyoutDptCnt;
	}

	public int getDecptLenCnt() {
		return decptLenCnt;
	}

	public void setDecptLenCnt(int decptLenCnt) {
		this.decptLenCnt = decptLenCnt;
	}

	public int getLoutItemDepth() {
		return loutItemDepth;
	}

	public void setLoutItemDepth(int loutItemDepth) {
		this.loutItemDepth = loutItemDepth;
	}

	public boolean isUpload() {
		return isUpload;
	}

	public void setUpload(boolean isUpload) {
		this.isUpload = isUpload;
	}

	public String getLoutPtrnDesc() {
		return loutPtrnDesc;
	}

	public void setLoutPtrnDesc(String loutPtrnDesc) {
		this.loutPtrnDesc = loutPtrnDesc;
	}

	public String getChk() {
		return chk;
	}

	public void setChk(String chk) {
		this.chk = chk;
	}

	public String getLoutName() {
		return loutName;
	}

	public void setLoutName(String loutName) {
		this.loutName = loutName;
	}

	public String getLoutPtrnName() {
		return loutPtrnName;
	}

	public void setLoutPtrnName(String loutPtrnName) {
		this.loutPtrnName = loutPtrnName;
	}

	public String getLoutDesc() {
		return loutDesc;
	}

	public void setLoutDesc(String loutDesc) {
		this.loutDesc = loutDesc;
	}

	public String getLoutItemName() {
		return loutItemName;
	}

	public void setLoutItemName(String loutItemName) {
		this.loutItemName = loutItemName;
	}

	public int getLoutItemIDName() {
		return loutItemIDName;
	}

	public void setLoutItemIDName(int loutItemIDName) {
		this.loutItemIDName = loutItemIDName;
	}

	public int getParntLoutItemIDName() {
		return parntLoutItemIDName;
	}

	public void setParntLoutItemIDName(int parntLoutItemIDName) {
		this.parntLoutItemIDName = parntLoutItemIDName;
	}

	public String getLoutItemDesc() {
		return loutItemDesc;
	}

	public void setLoutItemDesc(String loutItemDesc) {
		this.loutItemDesc = loutItemDesc;
	}

	public int getLoutItemNodePtrnIDName() {
		return loutItemNodePtrnIDName;
	}

	public void setLoutItemNodePtrnIDName(int loutItemNodePtrnIDName) {
		this.loutItemNodePtrnIDName = loutItemNodePtrnIDName;
	}

	public int getLoutItemPtrnIDName() {
		return loutItemPtrnIDName;
	}

	public void setLoutItemPtrnIDName(int loutItemPtrnIDName) {
		this.loutItemPtrnIDName = loutItemPtrnIDName;
	}

	public String getLoutItemPathName() {
		return loutItemPathName;
	}

	public void setLoutItemPathName(String loutItemPathName) {
		this.loutItemPathName = loutItemPathName;
	}

	public int getLoutItemLenCnt() {
		return loutItemLenCnt;
	}

	public void setLoutItemLenCnt(int loutItemLenCnt) {
		this.loutItemLenCnt = loutItemLenCnt;
	}

	public String getLoutItemRefInfo() {
		return loutItemRefInfo;
	}

	public void setLoutItemRefInfo(String loutItemRefInfo) {
		this.loutItemRefInfo = loutItemRefInfo;
	}

	public String getLoutItemRefInfo2() {
		return loutItemRefInfo2;
	}

	public void setLoutItemRefInfo2(String loutItemRefInfo2) {
		this.loutItemRefInfo2 = loutItemRefInfo2;
	}

	public int getLoutItemSerno() {
		return loutItemSerno;
	}

	public void setLoutItemSerno(int loutItemSerno) {
		this.loutItemSerno = loutItemSerno;
	}

	public String getLoutItemOccurPtrnDstcd() {
		return loutItemOccurPtrnDstcd;
	}

	public void setLoutItemOccurPtrnDstcd(String loutItemOccurPtrnDstcd) {
		this.loutItemOccurPtrnDstcd = loutItemOccurPtrnDstcd;
	}

	public int getLoutItemMaxOccurNoitm() {
		return loutItemMaxOccurNoitm;
	}

	public void setLoutItemMaxOccurNoitm(int loutItemMaxOccurNoitm) {
		this.loutItemMaxOccurNoitm = loutItemMaxOccurNoitm;
	}

	public int getLoutItemMinOccurNoitm() {
		return loutItemMinOccurNoitm;
	}

	public void setLoutItemMinOccurNoitm(int loutItemMinOccurNoitm) {
		this.loutItemMinOccurNoitm = loutItemMinOccurNoitm;
	}

	public String getLoutItemBascVal() {
		return loutItemBascVal;
	}

	public void setLoutItemBascVal(String loutItemBascVal) {
		this.loutItemBascVal = loutItemBascVal;
	}

	public String getLoutItemMskYn() {
		return loutItemMskYn;
	}

	public void setLoutItemMskYn(String loutItemMskYn) {
		this.loutItemMskYn = loutItemMskYn;
	}
	
	public int getLoutItemMaskLength() {
		return loutItemMaskLength;
	}

	public void setLoutItemMaskLength(int loutItemMaskLength) {
		this.loutItemMaskLength = loutItemMaskLength;
	}


	/* (non-Javadoc)
     * @see com.eactive.eai.rms.manage.serviceinfo.vo.PersistentVo#getSchemaId()
     */
    public String getSchemaId() {
        return DataSourceContextHolder.getDataSourceType().getSchema();
    }

    /* (non-Javadoc)
     * @see com.eactive.eai.rms.manage.serviceinfo.vo.PersistentVo#getTableName()
     */
    public String getTableName() {
        return "TSEAITR07";
    }

	public String getLastAmndHMS() {
		return lastAmndHMS;
	}

	public void setLastAmndHMS(String lastAmndHMS) {
		this.lastAmndHMS = lastAmndHMS;
	}

	public String getUapplName() {
		return uapplName;
	}

	public void setUapplName(String uapplName) {
		this.uapplName = uapplName;
	}

	public String getSysIntfacName() {
		return sysIntfacName;
	}

	public void setSysIntfacName(String sysIntfacName) {
		this.sysIntfacName = sysIntfacName;
	}

}
